/* Colors */
$red-dark: #6E202B;
$red: #DD2430;

$blue: #4890DA;
$blue-mid: #A5DEFE;
$blue-light: #2b2b2b;
$blue-bright: #368FEA;

$black-100: #000000;
$black-80: #333333;
$black-50: #888888;
$black-15: #D8D8D8;

$black-t-20: RGBA(0, 0, 0, .2);

$white: #FFFFFF;
$white-t-90: RGBA(255, 255, 255, .1);
$white-t-70: RGBA(255, 255, 255, .3);
$white-t-40: RGBA(255, 255, 255, .4);

/* Font Styles */
.dex {

/* Form Field Text */

  /* .dex__formfield */
  &__formfield {
    font-size: 14px;
    font-family: 'Merriweather Sans Regular';

    /* .dex__formfield--bold */
    &--bold {
      font-family: 'Merriweather Sans Bold';
    }
  }

/* Label text */

  /* .dex__label */
  &__label {
    font-size: 14px;
    font-family: "Merriweather Sans Light";

    /* .dex__label--bold */
    &--bold {
      font-family: "Merriweather Sans Bold";
    }
  }

/* Navigation */

  /* .dex__nav */
  &__nav {

    /* .dex__nav__main */
    &__main {
      font-size: 18px;
      font-family: "Merriweather Sans Regular";

      /* .dex__nav__main__title */
      &__title {
        font-size: 18px;
        font-family: "Merriweather Sans Regular";
        color: $blue;
      }

      /* .dex__nav__main__item */
      &__item {
        font-size: 16px;
        font-family: "Merriweather Sans Regular";

        /* .dex__nav__main__item--selected */
        &--selected {
          font-size: 16px;
          font-family: "Merriweather Sans Regular";
        }
      }
    }

    /* Page nav */

    /* .dex__nav__page */
    &__page {
      font-size: 18px;
      font-family: "Merriweather Sans Regular";

      /* .dex__nav__page--selected */
      &--selected {
        font-size: 16px;
        font-family: "Merriweather Sans Regular";
      }
    }

    /* Service text */

    /* .dex__nav__service */
    &__service {
      font-size: 16px;
      font-family: "Merriweather Sans Regular";
    }
  }

/* Regular text */

  /* .dex__text */
  &__text {
    font-size: 16px;
    font-family: "Merriweather Sans Light";

    /* .dex__text__banner */
    &__banner {
      font-size: 14px;
      font-family: "Merriweather Sans Regular";
    }

    /* .dex__text--small */
    &--small {
      font-size: 14px;
      font-family: "Merriweather Sans Light";
    }
  }

/* Link */

  /* .dex__link */
  &__link {
    font-size: 16px;
    font-family: "Merriweather Sans Light";
    text-decoration: none;
    color: $blue;
    &:hover,
    &:active,
    &:visited {
      text-decoration: underline;
      color: $blue;
    }
  }

  /* .dex__title */
  &__title {

    /* .dex__title--page */
    &--page {
      font-size: 36px;
      font-family: "Merriweather Sans Bold";
    }

    /* .dex__title--sub */
    &--sub {
      font-size: 24px;
      font-family: "Merriweather Sans Bold";
    }
  }
}
